import { ReactNode } from 'react';
interface PrepareExportContextState {
    registerComponent: (componentId: any) => void;
    unRegisterComponent: (componentId: any) => void;
    notifyComponentLoaded: (componentId: any) => void;
    prepareExportStart: () => void;
    waitForAllComponentsRendered: () => Promise<void>;
    prepareExportEnd: () => void;
    isExporting: boolean;
}
interface PrepareExportProviderProps {
    children: ReactNode;
    timeout?: number;
}
export declare function usePrepareExport(): PrepareExportContextState;
export declare function useRegisterExportComponents(componentId: string): void;
export declare function useNotifyComponentLoaded(componentId: string): void;
export declare function PrepareExportProvider(props: PrepareExportProviderProps): import("react/jsx-runtime").JSX.Element;
export declare function withExportRegister<P extends object>(Component: React.ComponentType<P>, componentId: string): (props: P) => import("react/jsx-runtime").JSX.Element | null;
export declare function withExport<P extends object>(Component: React.ComponentType<P>, componentId: string): (props: P) => import("react/jsx-runtime").JSX.Element | null;
export {};
