export class PathBuilder {
    constructor() {
        this.array = [];
    }
    moveTo(x, y) {
        x = clamp(x);
        y = clamp(y);
        this.array.push(`M ${x} ${y}`);
    }
    lineTo(x, y) {
        x = clamp(x);
        y = clamp(y);
        this.array.push(`L ${x} ${y}`);
    }
    closePath() {
        if (this.array.length > 0)
            this.array.push('Z');
    }
    toString() {
        return this.array.join(' ');
    }
    concatPath(pathBuilder) {
        return this.array.concat(pathBuilder.array).join(' ');
    }
}
/**
 * Clamp values to avoid rendering issues of the SVG.
 * This assumes that the viewport has pixel coordinates (so the max values are outside of the visible area)
 */
function clamp(value) {
    if (value < -1e5)
        return -1e5;
    if (value > 1e5)
        return 1e5;
    return value;
}
